Bug 143125 - EDITING Crash when closing Custom Slide Shows dialog
Summary: EDITING Crash when closing Custom Slide Shows dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.3.0 target:7.2.0.2
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks: Slide-Show
  Show dependency treegraph
 
Reported: 2021-06-30 08:03 UTC by NISZ LibreOffice Team
Modified: 2021-07-21 10:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The empty dialog, just open and close with OK... (28.78 KB, image/png)
2021-06-30 08:03 UTC, NISZ LibreOffice Team
Details
...and it crashed. (11.58 KB, image/png)
2021-06-30 08:04 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-30 08:03:49 UTC
Created attachment 173278 [details]
The empty dialog, just open and close with OK...

n todays nightly opening and closing the Custom Slide Shows dialog started to crash.

Steps to reproduce:
    1. Open Impress with a new empty slide show
    2. Go to Slide Shows – Custom Slide Show
    3. Press OK without setting up a new slideshow in the Custom Slide Shows dialog.

Actual results:
Crash.

Expected results:
No crash.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9c15dea0b2192d231b65175291a7655122c2e24c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

I suspect this might have to do with the fix of bug 142589
Comment 1 NISZ LibreOffice Team 2021-06-30 08:04:09 UTC
Created attachment 173279 [details]
...and it crashed.
Comment 2 Commit Notification 2021-07-19 07:19:53 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d7dff57384126e50b75c95e84fd3081db2f326a1

tdf#143125 sd: fix crash when closing Custom Slide Shows dialog

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-07-19 12:05:42 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/47b7a76fb011fdd04c3bcbfa555102a422c78638

tdf#143125 sd: fix crash when closing Custom Slide Shows dialog

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.